#include <at91sam7x256.h>
#include <lib_at91sam7x256.h>
#include "aic.h"

__irq void Ext_IRQ0_handler (void)
{
int i;
AT91F_PIO_SetOutput(AT91C_BASE_PIOB,(1<<19));
	  for(i=0;i<100000;i++);
AT91F_PIO_ClearOutput(AT91C_BASE_PIOB,1<<19);

CALL_END_OF_Interrupt(SAM7X_AIC);
}

int main(void){
 int i;

AT91C_BASE_PMC->PMC_PCER = ( 1<<AT91C_ID_PIOB);
AT91F_PIO_CfgOutput(AT91C_BASE_PIOB,(1<<19));  // SET OUTPUT PB19
AT91F_PIO_ClearOutput(AT91C_BASE_PIOB,1<<19);  // Clear PB19

AT91F_PIO_CfgOutput(AT91C_BASE_PIOB,(1<<20)); // SET OUTPUT PB20
AT91F_PIO_ClearOutput(AT91C_BASE_PIOB,1<<20); // Clear PB20


IRQ_ACT_POWER(AT91C_ID_IRQ0);	// ENABLE POWER OF IRQ0
AIC_Configure_PIO(AT91C_BASE_PIOA,30); // MAKE PA30 For IRQ

AT91F_AIC_ConfigureIt(SAM7X_AIC,	// Config AIC 
					AT91C_ID_IRQ0,	// IRQ0 Channel
					AIC_EXT_LOW_LEVEL, // Triger When IRQ TO LOW
					0,				   // priority level 0
					(void *)Ext_IRQ0_handler); // When Triger IRQ0 Call This

AT91F_AIC_EnableIt(SAM7X_AIC,AT91C_ID_IRQ0); // Enable IRQ0


while(1){
  AT91F_PIO_SetOutput(AT91C_BASE_PIOB,(1<<20));
	  for(i=0;i<100000;i++);
AT91F_PIO_ClearOutput(AT91C_BASE_PIOB,1<<20);
		for(i=0;i<100000;i++);
}
}








